% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ryan_4d_functions.R
\name{Rexc.prob.k.4d}
\alias{Rexc.prob.k.4d}
\title{Calculate P(R'>k|R'>1) (equivalently P(R>kr_0(W)|R>r_0(w)))}
\usage{
Rexc.prob.k.4d(
  k,
  r0w,
  w,
  gfun,
  par,
  add.gauge = FALSE,
  gauge1,
  gauge2,
  par1ind,
  par2ind
)
}
\arguments{
\item{k}{value of k>1}

\item{r0w}{The threshold function r_0(w) for each value of W supplied}

\item{w}{Values of W that correspond to the threshold exceedances of R}

\item{gfun}{fitted gauge function}

\item{par}{fitted parameter values (first value should be the gamma shape parameter, subsequent values are the gauge function parameters)}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{par1ind}{vector of indices specifying the position of the parameters for gauge1 in par}

\item{par2ind}{vector of indices specifying the position of the parameters for gauge2 in par}
}
\value{
Estimate of P(R'>k|R'>1)
}
\description{
Calculate P(R'>k|R'>1) (equivalently P(R>kr_0(W)|R>r_0(w)))
}
\author{
Jenny Wadsworth
}
