% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/empiricalquantileregression.R
\name{empiricalQR.2d}
\alias{empiricalQR.2d}
\title{Use rolling windows quantiles to calculate local quantiles of R|W}
\usage{
empiricalQR.2d(r, w, tau = 0.95, J = 60, wqg = 0.08, quantilespacing = TRUE)
}
\arguments{
\item{r}{Values of R}

\item{w}{Values of W}

\item{tau}{value in (0,1) - find the tau-quantile}

\item{J}{number of windows for rolling window estimate}

\item{wqg}{Gap between the quantiles of w to calculate the sizes of the rolling windows}
}
\value{
List with elements "w.midpoint",
 containing the midpoints of the w values of each rolling window,
 "r.tau.w" giving an estimate of the tau-quantile for R|W for that window,
 and "r0w" containing a threshold value of R for each w.
}
\description{
Use rolling windows quantiles to calculate local quantiles of R|W
}
\author{
Jenny Wadsworth
}
