% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/likelihoodandmodelfitting.R
\name{fit.geometricMVE.2d}
\alias{fit.geometricMVE.2d}
\title{Fit truncated gamma model for R|W for bivariate data}
\usage{
fit.geometricMVE.2d(
  r,
  w,
  r0w,
  gfun = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  add.gauge = FALSE,
  gauge1 = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  gauge2 = c(gauge_rvad, gauge_gaussian, gauge_invlogistic, gauge_square),
  par1ind = NULL,
  par2ind = NULL,
  init.val,
  pos.par = TRUE,
  lower.limit = NULL,
  upper.limit = NULL,
  ...
)
}
\arguments{
\item{r}{Values of R|W=w that exceed the threshold r0w}

\item{w}{Values of W that correspond to the threshold exceedances of R}

\item{r0w}{The threshold function r_0(w) for each value of W supplied}

\item{gfun}{gauge function to be used in the likelihood. Can use inbuilt examples or specify own function of the form gauge<-function(xy,par){}. Leave blank if want to mix gauges additively.}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{par1ind}{vector of indices specifying the position of the parameters for gauge1 in psi}

\item{par2ind}{vector of indices specifying the position of the parameters for gauge2 in psi}

\item{init.val}{vector of initial parameter values for optimization}

\item{pos.par}{logical. Set to TRUE if all parameters are positive (avoids some warnings in optimization).}

\item{lower.limit}{optional vector of lower limits on parameters (should be same length as init.val)}

\item{upper.limit}{optional vector of upper limits on parameters (should be same length as init.val)}

\item{...}{Additional arguments to pass to optim}
}
\value{
list containing elements "mle", "nllh", "convergence", and additionally "cov" if argument hessian=T is supplied to optim
}
\description{
Fit truncated gamma model for R|W for bivariate data
}
\author{
Jenny Wadsworth
}
