% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/empiricalquantileregression.R
\name{plotempiricalgauge.3d}
\alias{plotempiricalgauge.3d}
\title{Plot empirical estimate of gauge function based on empirical quantile regression}
\usage{
plotempiricalgauge.3d(
  w.midpoint,
  r.tau.w,
  surface = TRUE,
  return.coords = FALSE
)
}
\arguments{
\item{w.midpoint}{Mid points of the rolling (W1,W2) windows used to calculate quantiles of R|(W1,W2) - output from empiricalQR.3d}

\item{r.tau.w}{Estimates of the (high) tau-quantiles of R|(W1,W2) - output from empiricalQR.3d}

\item{surface}{logical - if TRUE then adds surface rendering to the points in the 3d plot}

\item{return.coords}{logical - if TRUE then returns a matrix of x-y-z coordinates used to generate the plot}
}
\value{
3d Plot of an empirical estimate of the gauge function
}
\description{
Plot empirical estimate of gauge function based on empirical quantile regression
}
\author{
Jenny Wadsworth
}
