% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/diagnostics.R
\name{plotfittedgauge.2d}
\alias{plotfittedgauge.2d}
\title{Plot unit level set of fitted parametric gauge function}
\usage{
plotfittedgauge.2d(
  wpts,
  gfun,
  par,
  add = FALSE,
  add.gauge = FALSE,
  gauge1,
  gauge2,
  par1ind,
  par2ind,
  xlab = "x",
  ylab = "y",
  col = 2,
  type = "l",
  lwd = 1,
  polygon = FALSE,
  polygoncol = rgb(0.5, 0.5, 0.5, alpha = 0.5)
)
}
\arguments{
\item{wpts}{sequence of w values at which to plot gauge function}

\item{gfun}{gauge function}

\item{par}{parameters of the gauge function specified by gfun}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{par1ind}{vector of indices specifying the position of the parameters for gauge1 in par}

\item{par2ind}{vector of indices specifying the position of the parameters for gauge2 in par}

\item{xlab}{Graphical parameter - label of x axis}

\item{ylab}{Graphical parameter - label of y axis}

\item{col}{Graphical parameter - colour of line}

\item{type}{Graphical parameter - type of line}

\item{lwd}{Graphical parameter - width of line}

\item{polygon}{Logical - draw a shaded version of the limit set?}

\item{polygoncol}{- Graphical parameter - colour of the limit set shading}
}
\description{
Plot unit level set of fitted parametric gauge function
}
\author{
Jenny Wadsworth
}
