% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ryan_4d_functions.R
\name{sim.4d}
\alias{sim.4d}
\title{Simulate new data (using resampled W|R'>k) from the model, conditional on R'>k (R>k*r_0(W))}
\usage{
sim.4d(
  w,
  r0w,
  k = 1,
  nsim,
  par,
  gfun,
  add.gauge = FALSE,
  gauge1,
  gauge2,
  par1ind,
  par2ind
)
}
\arguments{
\item{w}{Values of W that correspond to the threshold exceedances of R}

\item{r0w}{The threshold function r_0(w) for each value of W supplied}

\item{k}{Value of k (defaults to 1). If k>1 then importance weights are calculated to simulate from the distribution of X|R>kr_0(W) (equivalently X|R'>k)}

\item{nsim}{Number of new points to simulate}

\item{par}{The vector of fitted parameters (in the same order as obtained from fit.geometricMVE.2d)}

\item{gfun}{gauge function to be used in the likelihood. Can use inbuilt examples or specify own function of the form gauge<-function(xy,par){}. Leave blank if want to mix gauges additively.}

\item{add.gauge}{logical. If TRUE, then we additively mix (with numerical rescaling) the gauge functions specified by gauge1 and gauge2}

\item{gauge1}{first gauge function for additive mixing. Use if add.gauge=TRUE}

\item{gauge2}{second gauge function for additive mixing. Use if add.gauge=TRUE}

\item{par1ind}{vector of indices specifying the position of the parameters for gauge1 in par}

\item{par2ind}{vector of indices specifying the position of the parameters for gauge2 in par}
}
\value{
nsim by 4 matrix of values (in exponential margins) simulated from the model (given R>r_0(W), or R>kr_0(W) for k>1)
}
\description{
Simulate new data (using resampled W|R'>k) from the model, conditional on R'>k (R>k*r_0(W))
}
\author{
Jenny Wadsworth and Ryan Campbell
}
